name: igwn-batch-submit
summary: IGWN batch submit node services
description: |
  IGWN metapackage to install the services and user tools that are
  required to configure a host as an IGWN Grid submission point.

  Note that this package does not pull in any applications other than
  those strictly required to submit the workflows.  For a more complete
  configuration including user applications, see the 'igwn-submit-node'
  metapackage.
maintainer: Computing and Software Committee (CompSoft) <compsoft@ligo.org>
priority: optional
section: science

skip:
  # Not built for Conda
  - conda
  # igwn-iam not ready for EL9 yet
  - el9

deps:
  # CVMFS
  - igwn-cvmfs
  # IAM
  - igwn-iam
  # HTCondor
  - condor  # [rpm]
  - htcondor  # [not rpm]
  - python3-condor  # [rpm]
  # Pegasus
  - pegasus

test:
  - condor_version
  - pegasus-version --full
  - python3 -c "import htcondor"

changelog:
  # dates should be formatted using: 'date +%Y-%m-%dT%H:%M:%S%:z'
  - date: 2022-05-20T14:15:15+01:00
    author: Duncan Macleod <duncan.macleod@ligo.org>
    changes:
      - first release
    version: 20220520
